Support » Plugin: WordPress PayPal » Plugin issue with latest WP update

  • Resolved thesingingva

    (@thesingingva)


    I’ve just updated to the most recent version of WordPress (5.3) and there seems to be an issue with the WP Paypal plugin. I am getting the following code at the top of my Dashboard:

    Warning: Invalid argument supplied for foreach() in /var/sites/o/onefootinthedoor.co.uk/public_html/wp-includes/class-wp-post-type.php on line 526

    I also get the following code at the top of the front end of the website (both when logged in and when logged out of the dashboard):

    Warning: Invalid argument supplied for foreach() in /var/sites/o/onefootinthedoor.co.uk/public_html/wp-includes/class-wp-post-type.php on line 526

    And when I log out, I get:
    Warning: Invalid argument supplied for foreach() in /var/sites/o/onefootinthedoor.co.uk/public_html/wp-includes/class-wp-post-type.php on line 526

    I had to remove the plugin files via my host in order to log back in.

    I updated Yoast at the same time as WordPress, so tried activating WP Paypal without Yoast and the problem persisted. I’ve also switched the theme to Twenty Twenty, same problem. I’ve deactivated and reactivated all other plugins, too, so it seems that the issue is definitely with WP Paypal and WordPress 5.3.

    I’m using the Sydney theme if that’s of any help.

    Hopefully there’ll be a solution.

    Thanks.

    • This topic was modified 2 months, 2 weeks ago by thesingingva.
    • This topic was modified 2 months, 1 week ago by Jan Dembowski. Reason: Fixed formatting

    The page I need help with: [log in to see the link]

Viewing 7 replies - 1 through 7 (of 7 total)
Viewing 7 replies - 1 through 7 (of 7 total)
  • You must be logged in to reply to this topic.